Bug 736465 - "Product's Subscription Details" in the gui is neglecting stacked subscriptions
Summary: "Product's Subscription Details" in the gui is neglecting stacked subscriptions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager
Version: 5.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: 5.8
Assignee: John Sefler
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: 715031 784372
TreeView+ depends on / blocked
 
Reported: 2011-09-07 18:43 UTC by John Sefler
Modified: 2012-08-10 12:30 UTC (History)
5 users (show)

Fixed In Version: subscription-manager-0.98.12.el5
Doc Type: Bug Fix
Doc Text:
No description necessary
Clone Of:
Environment:
Last Closed: 2012-02-21 06:31:39 UTC


Attachments (Terms of Use)
see text in the screenshot showing the incomplete info listing only one of the subscriptions used to satisfy the compliance of the installed product. (76.32 KB, image/png)
2011-09-07 18:52 UTC, John Sefler
no flags Details
see the screenhot for the circled subscriptions that were stacked to satisfy compliance of the installed product (63.68 KB, image/png)
2011-09-07 18:55 UTC, John Sefler
no flags Details
screenshot showing multiple subscriptions/contracts for which product is subscribed (106.13 KB, image/png)
2012-01-10 21:39 UTC, John Sefler
no flags Details
screenshot showing multiple subscriptions/contracts for which product is subscribed (102.06 KB, image/png)
2012-01-11 22:27 UTC, John Sefler
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0154 normal SHIPPED_LIVE subscription-manager bug fix update 2012-02-20 15:06:04 UTC

Description John Sefler 2011-09-07 18:43:32 UTC
Description of problem:
Currently the "Product's Subscription Details" panel in the subscription-manager gui assumes that only one subscription is covering a product.  Now that we can stack subscriptions so as to satisfy socket compliance on a product, more than one covering subscription should be listed in the details.

See screenshots attached.


Version-Release number of selected component (if applicable):
[root@jsefler-onprem-62server ~]# rpm -qa | grep subscription-manager
subscription-manager-0.96.8-1.git.22.6521906.el6.x86_64
subscription-manager-firstboot-0.96.8-1.git.22.6521906.el6.x86_64
subscription-manager-gnome-0.96.8-1.git.22.6521906.el6.x86_64

Comment 1 John Sefler 2011-09-07 18:52:58 UTC
Created attachment 521975 [details]
see text in the screenshot showing the incomplete info listing only one of the subscriptions used to satisfy the compliance of the installed product.

Comment 2 John Sefler 2011-09-07 18:55:18 UTC
Created attachment 521976 [details]
see the screenhot for the circled subscriptions that were stacked to satisfy compliance of the installed product

Comment 4 William Poteat 2012-01-10 20:25:13 UTC
Committed to master branch

11a493d483738787fa7a616d49f9400d51213d13

Comment 5 John Sefler 2012-01-10 21:39:28 UTC
Created attachment 551946 [details]
screenshot showing multiple subscriptions/contracts for which product is subscribed

Verifing fix from master branch...
[root@jsefler-onprem-5server ~]# rpm -q subscription-manager-gnome
subscription-manager-gnome-0.99.3-1.git.8.11a493d.el5

In the screenshot you will see four subscription/contract for which I manually subscribed to achieve a "green" status.  This looks correct.

Please merge this fix to the RHEL5.8 branch for final verification.
Moving back to ASSIGNED

Comment 6 William Poteat 2012-01-11 19:03:24 UTC
RHEL5.8 commit

2da1fc03cf757867a2ade4580bc9e6b745c247d8

Comment 7 John Sefler 2012-01-11 22:27:59 UTC
Created attachment 552248 [details]
screenshot showing multiple subscriptions/contracts for which product is subscribed

Verifying fix from RHEL5.8 branch...

[root@jsefler-onprem-5server ~]# rpm -q subscription-manager-gnome
subscription-manager-gnome-0.98.11-1.git.2.2da1fc0.el5

In the screenshot you will see six subscription/contract for which I manually
subscribed to achieve a "green" status.  Although excessive on my part, this is correct.

Moving to VERIFIED

Comment 8 William Poteat 2012-01-20 19:32:21 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No description necessary

Comment 9 errata-xmlrpc 2012-02-21 06:31:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0154.html


Note You need to log in before you can comment on or make changes to this bug.